Bug 25722 - disable APM in config file for SMP machines
disable APM in config file for SMP machines
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
low Severity low
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-02 10:11 EST by Chris Runge
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 11:53:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2001-02-02 10:11:34 EST
Fisher (beta 3)

APM is automatically disabled on bootup on SMP machines. The kernel .config
files for SMP machines should be changed so that SMP is not compiled into
the kernel (no reason to compile it in if it is going to be disabled
automatically).
Comment 1 Arjan van de Ven 2001-02-02 12:49:36 EST
Except that you can specifiy "apm=smp-power-off" on the lilo-commandline
to enable APM again just before shutting down, so that SMP machines do
power down automatically.
Comment 2 Chris Runge 2001-02-02 14:52:01 EST
ah, I didn't know that...

perhaps /etc/lilo.conf could be altered to append this instruction for SMP
kernels?
Comment 3 Glen Foster 2001-02-02 18:06:15 EST
This defect is considered MUST-FIX for Florence Release-Candidate #1
Comment 4 Arjan van de Ven 2001-02-05 09:59:24 EST
Re-assigning to lilo for the "MUST-FIX" part of the bug.
Comment 5 Michael K. Johnson 2001-02-08 12:41:04 EST
Why can't we default to apm=smp-power-off behavior for SMP kernels?
Comment 6 Arjan van de Ven 2001-02-08 12:47:04 EST
woops. it changed to apm=power-off
The most likely reason for it not being enabled is that (old) APM code
could corrupt the fs if the bios was of a especially bad vintage.
The realmode APM code might have fixed this though.
Comment 7 Michael K. Johnson 2001-02-15 11:18:19 EST
Whatever bug there might be here, it isn't in lilo.
Comment 8 Preston Brown 2001-02-20 11:53:47 EST
So, are we going to do this or not?  If we are not going to disable APM for the
SMP kernel, close with WONTFIX.  If we have a work around, mark it RESOLVED
please.
Comment 9 Arjan van de Ven 2001-02-20 11:56:52 EST
We're not going to disable APM for the people who are brave and do apm=power-off
but we are also not going to enable that by default as it is unspec'ed,
and might cause problems. -> NOTABUG

Note You need to log in before you can comment on or make changes to this bug.